package com.ruoyi.project.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.ruoyi.project.domain.TrsSensitiveWordsTenant;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 常见错误Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-17
 */
@Mapper
public interface TrsSensitiveWordsTenantMapper
{
    /**
     * 查询常见错误
     * 
     * @param id 常见错误主键
     * @return 常见错误
     */
    public TrsSensitiveWordsTenant selectTrsSensitiveWordsById(Long id);

    /**
     * 查询常见错误列表
     * 
     * @param trsSensitiveWords 常见错误
     * @return 常见错误集合
     */
    public List<TrsSensitiveWordsTenant> selectTrsSensitiveWordsList(TrsSensitiveWordsTenant trsSensitiveWords);
    public List<TrsSensitiveWordsTenant> selectTrsSensitiveWordsListBy(TrsSensitiveWordsTenant trsSensitiveWords);

    public List<TrsSensitiveWordsTenant> selectTrsWordsListByErrorWord(String errorWord);

    /**
     * 新增常见错误
     * 
     * @param trsSensitiveWords 常见错误
     * @return 结果
     */
    public int insertTrsSensitiveWords(TrsSensitiveWordsTenant trsSensitiveWords);

    /**
     * 修改常见错误
     * 
     * @param trsSensitiveWords 常见错误
     * @return 结果
     */
    public int updateTrsSensitiveWords(TrsSensitiveWordsTenant trsSensitiveWords);

    /**
     * 删除常见错误
     * 
     * @param id 常见错误主键
     * @return 结果
     */
    public int deleteTrsSensitiveWordsById(Long id);

    /**
     * 批量删除常见错误
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsSensitiveWordsByIds(String[] ids);
}
